package app02c.action;

import app02c.form.ProductForm;
import app02c.to.ProductTO;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


public class GetProductAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form, 
	HttpServletRequest request, HttpServletResponse response) throws Exception {
    // create a product, in a real world application
  	// the ProductTO object is more likely to come from a database
  	ProductTO product = new ProductTO();
  	product.setProductName("MGX LCD Monitor");
  	product.setDescription("High resolution 19 inch LCD monitor");
  	product.setPrice("449.00");
    // -----------------------------------------------------
  	
  	// populate the form
  	ProductForm productForm = (ProductForm) form;
  	productForm.setProductName(product.getProductName());
  	productForm.setDescription(product.getDescription());
  	productForm.setPrice(product.getPrice());
  	
  	return mapping.findForward("success");
  }

 
}
